using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATImportDocumentType")]
public partial class AtimportDocumentType
{
    [Key]
    public int Id { get; set; }

    [StringLength(16)]
    public string TypeName { get; set; } = null!;

    [StringLength(128)]
    public string? Description { get; set; }

    public bool IsActive { get; set; }

    public bool Convertible { get; set; }

    [InverseProperty("ExportDocType")]
    public virtual ICollection<AtconvertDefinition> AtconvertDefinitionExportDocTypes { get; set; } = new List<AtconvertDefinition>();

    [InverseProperty("SourceDocType")]
    public virtual ICollection<AtconvertDefinition> AtconvertDefinitionSourceDocTypes { get; set; } = new List<AtconvertDefinition>();

    [InverseProperty("ExportFileFormat")]
    public virtual ICollection<AtexportDefinition> AtexportDefinitions { get; set; } = new List<AtexportDefinition>();

    [InverseProperty("ConvertToFormat")]
    public virtual ICollection<AtprocessImportRule> AtprocessImportRules { get; set; } = new List<AtprocessImportRule>();
}
